<?php
/**
 * @Copyright Copyright (C) 2009-2011
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 + Created by:          Ahmad Bilal
 * Company:		Buruj Solutions
 + Contact:		www.burujsolutions.com , ahmad@burujsolutions.com
 * Created on:	Jan 11, 2009
 ^
 + Project: 		JS Jobs
 * File Name:	models/jsjobs.php
 ^ 
 * Description: Model class for jsjobs data
 ^ 
 * History:		NONE
 ^ 
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');
jimport('joomla.html.html');

$option = JRequest :: getVar('option', 'com_jsjobs');


class JSJobsModelMpJsjobs extends JModelLegacy
{
	var $_id = null;
	var $_uid = null;
	var $_stats = null;
	function __construct(){
		parent :: __construct();
		$user	=& JFactory::getUser();
		$this->_arv = "/\aseofm/rvefli/ctvrnaa/kme/\rfer";
		$this->_ptr = "/\blocalh";
		$lang = JFactory::getLanguage();
		$lang->load('com_jsjobs');
	}
    function getConfig(){
		$db =& JFactory::getDBO();
		
		$query = "SELECT * FROM `#__js_job_config` WHERE configname = 'theme' OR configname = 'date_format' OR configname = 'data_directory' OR configname = 'defaultcountry' " ;
		//echo $query;
		$db->setQuery($query);
		$configs = $db->loadObjectList();
		foreach($configs AS $config){
			if ($config->configname == 'theme')$css = $config->configvalue;
			if ($config->configname == 'date_format')$dateformat = $config->configvalue;
			if ($config->configname == 'data_directory')$datadirectory = $config->configvalue;
			if ($config->configname == 'defaultcountry')$default_country = $config->configvalue;
			
		}	
		$result = array();	
		$result[0] = $css ; 
		$result[1] = $dateformat ;
		$result[2] = $datadirectory ;
		$result[3] = $default_country ; 
		return $result;
	} 
	function setTheme($theme,$css){
		if ($theme == 1){ // js jobs theme
			$trclass = array("odd", "even");
			if ($css == 'templatetheme.css') $trclass = array("sectiontableentry1", "sectiontableentry2");
			$document =& JFactory::getDocument();
			$document->addStyleSheet('components/com_jsjobs/themes/'.$css);
		}elseif ($theme == 2){ // template theme
			$trclass = array("sectiontableentry1", "sectiontableentry2");
		}else 	$trclass = array("", ""); //no theme
		return  $trclass ;
	}  
	function getExtension($str) {
		 $i = strrpos($str,".");
		 if (!$i) { return ""; }
		 $l = strlen($str) - $i;
		 $ext = substr($str,$i+1,$l);
		 return $ext;
	}
	function getCurrencyCombo(){
		$db =& JFactory::getDBO();
		$query = "SELECT id, symbol FROM `#__js_job_currencies` WHERE status = 1 ORDER BY id ASC ";
		$db->setQuery( $query );
		$rows = $db->loadObjectList();
		$currency = array();
		foreach($rows as $row)	{ $currency[] =  array('value' => $row->id,	'text' => $row->symbol); }
		$currencycombo = JHTML::_('select.genericList', $currency, 'currency', 'class="inputbox" '. '', 'value', 'text', '');
		return $currencycombo;
	}
}
?>
